package com.bcxin.ars.model;

import com.abcxin.smart.validator.annotation.ModelAnnotation;

/**
 * Created by lenovo on 2017/6/4.
 */
public class CityConfig  extends BaseModel{
    /**
     * 区域编号
     */
    @ModelAnnotation(getName = "区域编号" ,isExport = true,column = "native_code")
    private String nativeCode;

    /***
     * 接口地址
     */
    @ModelAnnotation(getName = "接口地址" ,isExport = true,column = "rest_url")
    private String restURL;
    /***
     * 轨迹接口地址
     */
    @ModelAnnotation(getName = "轨迹接口地址" ,isExport = false)
    private String trackURL;
    /***
     * 城市名称
     */
    private String name;
    /***
     * 版本
     */
    private String version;

    /***
     * 培训平台地址
     */
    private String trainURL;

    public String getTrainURL() {
        return trainURL;
    }

    public void setTrainURL(String trainURL) {
        this.trainURL = trainURL;
    }

    public String getNativeCode() {
        return nativeCode;
    }

    public void setNativeCode(String nativeCode) {
        this.nativeCode = nativeCode;
    }

    public String getRestURL() {
        return restURL;
    }

    public void setRestURL(String restURL) {
        this.restURL = restURL;
    }

    public String getTrackURL() {
        return trackURL;
    }

    public void setTrackURL(String trackURL) {
        this.trackURL = trackURL;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}
